org.modeshape.jcr.security.acl

## Class AccessControlPolicyIteratorImpl

- java.lang.Object
- - org.modeshape.jcr.security.acl.AccessControlPolicyIteratorImpl

- All Implemented Interfaces:
    Iterator, RangeIterator, AccessControlPolicyIterator

      public class AccessControlPolicyIteratorImpl
      extends Object
      implements AccessControlPolicyIterator

  Provides iteration over series of the ACLs.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AccessControlPolicyIteratorImpl` | `EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessControlPolicyIteratorImpl(AccessControlPolicy... policy)` Creates new instance of this iterator.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getPosition()`
    `long` | `getSize()`
    `boolean` | `hasNext()`
    `Object` | `next()`
    `AccessControlPolicy` | `nextAccessControlPolicy()`
    `void` | `remove()`
    `void` | `skip(long amount)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY

          public static final AccessControlPolicyIteratorImpl EMPTY

  - ### Constructor Detail

    - #### AccessControlPolicyIteratorImpl

          public AccessControlPolicyIteratorImpl(AccessControlPolicy... policy)

      Creates new instance of this iterator.
      Parameters:
        `policy` - series of the ACLs

  - ### Method Detail

    - #### nextAccessControlPolicy

          public AccessControlPolicy nextAccessControlPolicy()

      Specified by:
        `nextAccessControlPolicy` in interface `AccessControlPolicyIterator`

    - #### skip

          public void skip(long amount)

      Specified by:
        `skip` in interface `RangeIterator`

    - #### getSize

          public long getSize()

      Specified by:
        `getSize` in interface `RangeIterator`

    - #### getPosition

          public long getPosition()

      Specified by:
        `getPosition` in interface `RangeIterator`

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator`

    - #### next

          public Object next()

      Specified by:
        `next` in interface `Iterator`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.